﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkChallengedStreams
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length == 0)
            {
                Usage();
                return;
            }

            if (args[0] == "/server")
            {
                RunServer();
            }
            else
            {
                RunClient(args);
            }
        }

        private static void Usage()
        {
            Console.WriteLine("Usage:");
            Console.WriteLine("\tNetworkChallengedStreams /server");
            Console.WriteLine("\tor");
            Console.WriteLine("\tNetworkChallengedStreams serverScenario clientScenario");
        }

        private static void RunServer()
        {
            new Server().Run();
        }

        private static void RunClient(string[] args)
        {
            int serverTestScenario;
            int clientTestScenario;

            try
            {
                serverTestScenario = Int32.Parse(args[0]);
                clientTestScenario = Int32.Parse(args[1]);
            }
            catch (Exception ex)
            {
                Console.WriteLine("Invalid scenario numbers");
                return;
            }

            Client.Run(serverTestScenario, clientTestScenario);
        }
    }
}
